package com.example.demo.controller;


import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RefreshScope
public class DemoController {
    // 使用原生注解@Value()导入配置
    @Value("${user.id}")
    private String id;
    @Value("${user.name}")
    private String name;
    @Value("${user.age}")
    private String age;

    @Value("${user.sex}")
    private String sex;


    @GetMapping("hello")
    public String sayHello(){
        return "hello jackxu,find nacos infos:(id:"+id+",name:"+name+",age:"+age+",sex:"+sex+")";
    }
}
