/*
 * Author: wangjian
 * 生成controller
 */
package com.example.demo.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.example.demo.entity.TfYwpnCsdeloperationrecordW;
import com.example.demo.service.TfYwpnCsdeloperationrecordWService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * ${comments}
 *
 * @author admin
 * @date Wed Feb 01 00:00:00 CST 2023
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfywpncsdeloperationrecordw")
@Api(tags="${comments}接口")
public class TfYwpnCsdeloperationrecordWController {

    private final  TfYwpnCsdeloperationrecordWService tfYwpnCsdeloperationrecordWService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param tfYwpnCsdeloperationrecordW ${comments}
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getTfYwpnCsdeloperationrecordWPage(Page page, @ModelAttribute TfYwpnCsdeloperationrecordW tfYwpnCsdeloperationrecordW) {
      return ResultRespone.success(tfYwpnCsdeloperationrecordWService.page(page, Wrappers.query(tfYwpnCsdeloperationrecordW)));
    }


    /**
     * 通过id查询${comments}
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "BigDecimal")
    })
    public ResultRespone getById(@PathVariable("id" ) long id) {
      return ResultRespone.success(tfYwpnCsdeloperationrecordWService.getById(id));
    }

    /**
     * 新增${comments}
     * @param tfYwpnCsdeloperationrecordW ${comments}
     * @return ResultRespone
     */
    @ToFlyAppLog(title="新增${comments}" )
    @ApiOperation(value = "新增${comments}")
    @PostMapping
    public ResultRespone save(@RequestBody TfYwpnCsdeloperationrecordW tfYwpnCsdeloperationrecordW) {
      return ResultRespone.success(tfYwpnCsdeloperationrecordWService.save(tfYwpnCsdeloperationrecordW));
    }

    /**
     * 修改${comments}
     * @param tfYwpnCsdeloperationrecordW ${comments}
     * @return ResultRespone
     */
    @ToFlyAppLog(title="修改${comments}" )
    @ApiOperation(value = "修改${comments}")
    @PutMapping
    public ResultRespone updateById(@RequestBody TfYwpnCsdeloperationrecordW tfYwpnCsdeloperationrecordW) {
      return ResultRespone.success(tfYwpnCsdeloperationrecordWService.updateById(tfYwpnCsdeloperationrecordW));
    }

    /**
     * 通过id删除${comments}
     * @param id id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id删除${comments}" )
    @ApiOperation(value = "通过ID删除${comments}")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "BigDecimal")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable long id) {
      return ResultRespone.success(tfYwpnCsdeloperationrecordWService.removeById(id));
    }

    /**
     * 通过id批量删除${comments}
     * @param ids id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id批量删除${comments}" )
    @ApiOperation(value = "通过ID批量删除${comments}")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(tfYwpnCsdeloperationrecordWService.removeByIds(Arrays.asList(ids.split(","))));
    }
}
